package com.example.smartlab_gazizov

import androidx.compose.foundation.layout.Column
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.border
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxHeight
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.painter.Painter
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.tooling.preview.Preview
import com.example.smartlab_gazizov.ui.theme.SmartLab_GazizovTheme
import androidx.compose.ui.unit.sp
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp


@Preview
@Composable
fun login1() {
    Column(modifier = Modifier.fillMaxSize()) {
        Text(
            text = "✋Добро пожаловать!",
            fontSize = 32.sp,
            fontFamily = FontFamily.Monospace,
            color = Color.Black,
            modifier = Modifier.padding(start = 5.dp, top = 100.dp, end = 0.dp, bottom = 0.dp)
        )
        Text(
            text = "Войдите чтобы пользоваться функциями приложения",
            fontSize = 16.sp,
            color = Color.Black,
            modifier = Modifier.padding(start = 10.dp, top = 20.dp, end = 0.dp, bottom = 0.dp)
        )
        Text(
            text = "Вход по E-mail",
            fontSize = 14.sp,
            color = Color(0xFF939396),
            modifier = Modifier.padding(start = 10.dp, top = 70.dp, end = 0.dp, bottom = 0.dp)
        )
    }
    Column(modifier = Modifier
        .fillMaxWidth()
        .padding(top = 310.dp),
        horizontalAlignment = Alignment.CenterHorizontally
    )
    {
        TextField(value = "example@mail.ru", onValueChange = {},
            modifier = Modifier.fillMaxWidth(0.95f),
            textStyle = TextStyle(fontSize = 12.sp, color = Color(0xFF939396))
        );
        Button(
            onClick = { /*TODO*/ }, modifier = Modifier
                .fillMaxWidth(0.95f)
                .fillMaxHeight(0.2f)
                .padding(top = 15.dp, start = 10.dp, end = 10.dp),
            shape = MaterialTheme.shapes.medium,
            colors = ButtonDefaults.buttonColors(
                containerColor = Color.Blue,
                contentColor = Color.White
            )
        ) {
            Text(text = "Далее", fontSize = 17.sp)
        }
    }
    Column (modifier = Modifier
        .fillMaxWidth()
        .padding(top = 560.dp),
        horizontalAlignment = Alignment.CenterHorizontally)
    {
        Text(
            text = "Или войдите с помощью",
            fontSize = 14.sp,
            color = Color(0xFF939396),
            modifier = Modifier.padding(start = 10.dp, top = 70.dp, end = 0.dp, bottom = 0.dp)
        )
        Button(
            onClick = { /*TODO*/ }, modifier = Modifier
                .fillMaxWidth(0.95f)
                .fillMaxHeight(0.5f)
                .padding(top = 15.dp, start = 10.dp, end = 10.dp)
                .border(1.dp, Color.Gray, shape = MaterialTheme.shapes.medium),
            shape = MaterialTheme.shapes.medium,
            colors = ButtonDefaults.buttonColors(
                containerColor = Color.White,
                contentColor = Color.Black,
            )
        ) {
            Text(text = "Войти с Яндекс", fontSize = 17.sp)
        }
    }
}